package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Release Notes information for a firmware series
 */
@ApiModel(description = "Release Notes information for a firmware series")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class ModelFwVersionReleaseNoteInfo   {
  @JsonProperty("currentVersion")
  private String currentVersion;

  @JsonProperty("releaseNote")
  private String releaseNote;

  @JsonProperty("previousVersion")
  private String previousVersion;

  @JsonProperty("nextVersion")
  private String nextVersion;

  public ModelFwVersionReleaseNoteInfo currentVersion(String currentVersion) {
    this.currentVersion = currentVersion;
    return this;
  }

  /**
   * Current version number, such as \"2.5.0 Build 20190118 Rel. 64821\"
   * @return currentVersion
  */
  @ApiModelProperty(value = "Current version number, such as \"2.5.0 Build 20190118 Rel. 64821\"")


  public String getCurrentVersion() {
    return currentVersion;
  }

  public void setCurrentVersion(String currentVersion) {
    this.currentVersion = currentVersion;
  }

  public ModelFwVersionReleaseNoteInfo releaseNote(String releaseNote) {
    this.releaseNote = releaseNote;
    return this;
  }

  /**
   * Current version of releaseNote
   * @return releaseNote
  */
  @ApiModelProperty(value = "Current version of releaseNote")


  public String getReleaseNote() {
    return releaseNote;
  }

  public void setReleaseNote(String releaseNote) {
    this.releaseNote = releaseNote;
  }

  public ModelFwVersionReleaseNoteInfo previousVersion(String previousVersion) {
    this.previousVersion = previousVersion;
    return this;
  }

  /**
   * Previous version number
   * @return previousVersion
  */
  @ApiModelProperty(value = "Previous version number")


  public String getPreviousVersion() {
    return previousVersion;
  }

  public void setPreviousVersion(String previousVersion) {
    this.previousVersion = previousVersion;
  }

  public ModelFwVersionReleaseNoteInfo nextVersion(String nextVersion) {
    this.nextVersion = nextVersion;
    return this;
  }

  /**
   * The version number of the subsequent version
   * @return nextVersion
  */
  @ApiModelProperty(value = "The version number of the subsequent version")


  public String getNextVersion() {
    return nextVersion;
  }

  public void setNextVersion(String nextVersion) {
    this.nextVersion = nextVersion;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ModelFwVersionReleaseNoteInfo modelFwVersionReleaseNoteInfo = (ModelFwVersionReleaseNoteInfo) o;
    return Objects.equals(this.currentVersion, modelFwVersionReleaseNoteInfo.currentVersion) &&
        Objects.equals(this.releaseNote, modelFwVersionReleaseNoteInfo.releaseNote) &&
        Objects.equals(this.previousVersion, modelFwVersionReleaseNoteInfo.previousVersion) &&
        Objects.equals(this.nextVersion, modelFwVersionReleaseNoteInfo.nextVersion);
  }

  @Override
  public int hashCode() {
    return Objects.hash(currentVersion, releaseNote, previousVersion, nextVersion);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ModelFwVersionReleaseNoteInfo {\n");
    
    sb.append("    currentVersion: ").append(toIndentedString(currentVersion)).append("\n");
    sb.append("    releaseNote: ").append(toIndentedString(releaseNote)).append("\n");
    sb.append("    previousVersion: ").append(toIndentedString(previousVersion)).append("\n");
    sb.append("    nextVersion: ").append(toIndentedString(nextVersion)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

